umbrello: CmdLineExportAllViewsEvent Class Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Private Attributes | Static Private Attributes | List of all members
CmdLineExportAllViewsEvent Class Reference

`#include <cmdlineexportallviewsevent.h>`

Inheritance diagram for CmdLineExportAllViewsEvent:

## Public Member Functions
| CmdLineExportAllViewsEvent (const QString &imageType, const QUrl &directory, const bool useFolders)
virtual | ~CmdLineExportAllViewsEvent ()
void | exportAllViews ()

## Static Public Member Functions
static QEvent::Type | eventType ()

## Private Attributes
QString | m_imageType
| The type of the images the views will be exported to.
QUrl | m_directory
| The url of the directory where the images will be saved.
bool | m_useFolders
| If tree structure of the views in the document must be created in the target directory.

## Static Private Attributes
static const QEvent::Type | type_

## Detailed Description

This class provides an event that is posted to the UMLApp when the "export all views" option was set in the command line. Once the Qt main loop begins, the event is processed.

The processing made in UMLApp is execute the exportAllViews method in the event. This method exports all the views using UMLViewImageExporterModel and then finishes the application using a close event.

See also
  UMLViewImageExporterModel

## Constructor & Destructor Documentation

## ◆ CmdLineExportAllViewsEvent()

CmdLineExportAllViewsEvent::CmdLineExportAllViewsEvent | ( | const QString & | imageType,
|  | const QUrl & | directory,
|  | const bool | useFolders
| ) |  |

Constructor.

Parameters

  imageType | The type of the images the views will be exported to.
  directory | The url of the directory where the images will be saved.
  useFolders | If the tree structure of the views in the document must be created in the target directory.

## ◆ ~CmdLineExportAllViewsEvent()

CmdLineExportAllViewsEvent::~CmdLineExportAllViewsEvent | ( |  | ) |
| virtual

Destructor for CmdLineExportAllViewsEvent

## Member Function Documentation

## ◆ eventType()

QEvent::Type CmdLineExportAllViewsEvent::eventType | ( |  | ) |
| static

Returns the type of the event.

Returns
  event type

## ◆ exportAllViews()

void CmdLineExportAllViewsEvent::exportAllViews | ( |  | ) |

Exports all the views using UMLViewImageExporterModel, prints the errors occurred in the error output and quits the application. To export the views, it uses the attributes set when the event was created.

## Member Data Documentation

## ◆ m_directory

QUrl CmdLineExportAllViewsEvent::m_directory
| private

The url of the directory where the images will be saved.

## ◆ m_imageType

QString CmdLineExportAllViewsEvent::m_imageType
| private

The type of the images the views will be exported to.

## ◆ m_useFolders

bool CmdLineExportAllViewsEvent::m_useFolders
| private

If tree structure of the views in the document must be created in the target directory.

## ◆ type_

const QEvent::Type CmdLineExportAllViewsEvent::type_
| staticprivate

Initial value:
=
(QEvent::Type)QEvent::registerEventType(QEvent::User + 1)

The documentation for this class was generated from the following files:

- umbrello/cmdlineexportallviewsevent.h
- umbrello/cmdlineexportallviewsevent.cpp